Skip to main content
GET
/
admin
/
views
/
{entity}
/
configurations
/
active
cURL
curl '{backend_url}/admin/views/{entity}/configurations/active' \
-H 'Authorization: Bearer {jwt_token}'
{
  "view_configuration": {
    "id": "<string>",
    "entity": "<string>",
    "name": "<string>",
    "user_id": "<string>",
    "is_system_default": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "configuration": {
      "visible_columns": [
        "<string>"
      ],
      "column_order": [
        "<string>"
      ],
      "column_widths": {},
      "filters": {},
      "sorting": {
        "id": "<string>",
        "desc": true
      },
      "search": "<string>"
    }
  },
  "is_default_active": true,
  "default_type": "code"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entity
string
required

The entity to retrieve its active view configurations (for example, orders).

Query Parameters

fields
string

Comma-separated fields that should be included in the returned data. If a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. Without prefix it will replace the entire default fields.

Response

OK

Additional properties related to the active view configuration.

view_configuration
object
required

The details of a view configuration.

is_default_active
boolean

Whether the active view configuration is the system default.

default_type
enum<string>

The type of the default view configuration if the active view is the system default. It will be system if the active view is the system default, code if no active view is set, or undefined if the active view isn't the system default.

Available options:
code,
system